Subject: Re: [PATCH 11/13] Core Resource Allocation

From: Roland Dreier <[email-masked]>
Date: Fri, 17 Nov 2006 12:37:03 -0800

> I think we can use random32() or get_random_bytes().  I need to
 > re-review how this algorithm works.  Its randomizing the stag IDs so
 > they are not predictable.

I assume based on the algorithm you have now that they don't need to
be cryptographically unpredictable.  So random32() would probably be
the best thing to do (get_random_bytes() should be used sparingly,
since it depletes the kernel entropy pool).

 - R.